Bug 6121 - C Packets mangling ipv6 addresses
: C Packets mangling ipv6 addresses
Status: RESOLVED FIXED
: Metrics
Usage Stats
: unspecified
: All All
: P3 normal
: ---
Assigned To:
:
: 4.0.x
:
:
  Show dependency treegraph
 
Reported: 2008-06-03 09:26 by
Modified: 2009-05-18 08:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-06-03 09:26:05
It looks like the ipv6 address sending code for the c packets is broken. It
sends the first 16 *bytes* of an array of 16 *integers* as the address.
------- Comment #1 From 2008-06-10 19:21:08 -------
In retrospect it appears that ipv4 address are also subject to this mistake.
Looks like the ftp handler ignores the ip_address value that is sent, using the
HOSTNAME text parameter instead. The c ws core handler uses the incorrect
values sent by the clients.
------- Comment #2 From 2009-05-18 08:38:56 -------
Fix committed 2009-03-11